System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.CollectionBase To be added

Contains a strongly typed collection of objects.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds a specified to this collection.

  The zero-based index of the added object.

  The object to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Appends a set of specified permission entries to this collection.

  An array of type objects that contains the permission entries to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Appends a set of specified permission entries to this collection.

  A that contains the permission entries to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether this collection contains a specified object.

  true if the specified object belongs to this collection; otherwise, false.

  The object to find.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the permission entries from this collection to an array, starting at a particular index of the array.

  An array of type that receives this collection's permission entries. The zero-based index at which to begin copying the permission entries.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Determines the index of a specified permission entry in this collection.

  The zero-based index of the specified permission entry, or -1 if the permission entry was not found in the collection.

  The permission entry for which to search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Inserts a permission entry into this collection at a specified index.

  The zero-based index of the collection at which to insert the permission entry. The permission entry to insert into this collection.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.PerformanceCounterPermissionEntry `` To be added: an object of type 'int' To be added To be added: an object of type 'PerformanceCounterPermissionEntry' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Performs additional custom processes after clearing the contents of the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Performs additional custom processes before a new permission entry is inserted into the collection.

  The zero-based index at which to insert . The new value of the permission entry at .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Performs additional custom processes when removing a new permission entry from the collection.

  The zero-based index at which can be found. The permission entry to remove from .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Performs additional custom processes before setting a value in the collection.

  The zero-based index at which can be found. The value to replace with . The new value of the permission entry at .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes a specified permission entry from this collection.

  The permission entry to remove.